Chris
Cheney
ccheney@debian.org
7 de Março de 2003
dcop
1

# `dcop`

Cliente de &DCOP; doconsole

    dcop --pipe --user  usuário --all-users --session  sessão --all-sessions --list-sessions --no-user-time  aplicação  objeto  função argumentos

## Descrição

Cliente para console do &DCOP;

## Opções

`--pipe`

  Invoca o &DCOP; para cada linha lida do 'stdin'.

  Isto é relativamente parecido com a invocação de `while read linha ; do dcop $linha ; done` mas, uma vez que não terá que ser iniciada uma nova instância do `dcop` para cada linha, este modo é geralmente muito mais rápido, especialmente para os editores de ligações dinâmicas mais lentos da GNU.

`--user` usuário

  Conecta-se ao servidor de &DCOP; do usuário. Esta opção irá ingorar os valores das variáveis de ambiente $`DCOPSERVER` e $`ICEAUTHORITY`, mesmo que estejam definidas.

  Se o usuário tiver mais de uma sessão aberta, deverá também usar uma das opções da linha de comando `--list-sessions`, `--session` ou `--all-sessions`.

`--all-users`

  Envia a mesma chamada de &DCOP; a todos os usuários com um servidor de &DCOP; em execução. Só as chamadas mal-sucedidas aos servidores de &DCOP; existentes irão gerar uma mensagem de erro. Se não estiver disponível nenhum servidor de &DCOP;, não será gerado qualquer erro.

`--session` sessão

  Envia para a sessão de &kde; indicada. Esta opção só poderá ser usada em conjunto com a opção `--user`.

`--all-sessions`

  Envia para todas as sessões encontradas. Só funciona com as opções `--user` e `--all-users`.

`--list-sessions`

  Lista todas as sessões ativas do &kde; para um determinado usuário ou para todos.

`--no-user-time`

  Não atualiza o instante temporal de atividade do usuário no aplicativo invocado (para usar nos programas que rodam em segundo-plano).

## Ambiente

`DCOPSERVER`

`ICEAUTHORITY`

## Veja Também

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

Dentro do &kde;, você poderá inserir `help:/kdcop` no &konqueror; para ver o Manual do Usuário da ferramenta gráfica de &DCOP; kdcop.